'use strict'

var s3 = require('./s3.js')
var slack = require('./slack.js')
var fs = require('fs')

module.exports = function(options) {
  var payload = fs.readFileSync(options.arguments[0])

  return s3.uploadSecret(payload, 'file').then(function (s3Key) {
    return slack.notifySecret('You have a file share.\nrun `share get ' + s3Key.key +'` to get it', options.targets)
  })
}

