'use strict'

var s3 = require('./s3.js')
var slack = require('./slack.js')

module.exports = function(options) {
  var payload = options.arguments.join(' ')
  return s3.uploadSecret(payload, 'string').then(function (s3Key) {
    return slack.notifySecret('You have a string share.\nrun `share get ' + s3Key.key +'` to get it', options.targets)
  })
}

